/// <reference types="lodash" resolution-mode="require"/>
import { GraphQLSchema } from "graphql";
import { SimplifiedIntrospectionWithIds } from "./types.js";
export declare class schemaParser {
    location: string;
    schema: GraphQLSchema;
    simplifiedSchema: SimplifiedIntrospectionWithIds;
    constructor(uri: string);
    loadSchema(uri: string): GraphQLSchema;
    getRoutes(): {
        params: {
            type: string[];
        };
    }[];
    getSidebar(prefix?: string): import("lodash").Dictionary<{
        kind: string;
        name: string;
        path: string;
    }[]>;
    getTypeName(kind: string, name: string): object;
}
//# sourceMappingURL=parser.d.ts.map